#ifndef __Hud_h__
#define __Hud_h__

#include <Ogre.h>

class Gui;

class Hud{
public:
	Hud(Gui* gui);
	~Hud();

	void show();
	void hide();
	bool isVisible() const;

	void update();

protected:
	Gui* gui;
	Ogre::Overlay* overlay;
	Ogre::OverlayElement* status;
	Ogre::OverlayElement* healthBar;
	Ogre::OverlayElement* energyBar;
	struct weaponInfo_s {
		Ogre::OverlayElement* panel;
		Ogre::OverlayElement* icon;
		Ogre::OverlayElement* heatIndicator;
		Ogre::OverlayElement* ammoIndicator;
	} weaponInfos[4];
};

#endif // __Hud_h__
