#ifndef __ConsoleCCmds_h__
#define __ConsoleCCmds_h__

#include "CCmd.h"

class CCmdRegisterCVar: public CCmd{
public:
	CCmdRegisterCVar();
	~CCmdRegisterCVar();

	void exec(const vector<string>& arguments);
};

class CCmdUnregisterCVar: public CCmd{
public:
	CCmdUnregisterCVar();
	~CCmdUnregisterCVar();

	void exec(const vector<string>& arguments);
};

class CCmdSet:public CCmd{
public:
	CCmdSet();
	~CCmdSet();

	void exec(const vector<string>& arguments);
};

class CCmdVal:public CCmd{
public:
	CCmdVal();
	~CCmdVal();

	void exec(const vector<string>& arguments);
};

class CCmdHelp:public CCmd{
public:
	CCmdHelp();
	~CCmdHelp();

	void exec(const vector<string>& arguments);
};

class CCmdInfo:public CCmd{
public:
	CCmdInfo();
	~CCmdInfo();

	void exec(const vector<string>& arguments);
};


class CCmdToggle:public CCmd{
public:
	CCmdToggle();
	~CCmdToggle();

	void exec(const vector<string>& arguments);
};
/*
class CCmdExecCVar:public CCmd{
public:
	CCmdExecCVar();
	~CCmdExecCVar();

	void exec(const vector<string>& arguments);
};

class CCmdExecFile:public CCmd{
public:
	CCmdExecFile();
	~CCmdExecFile();

	void exec(const vector<string>& arguments);
};
*/
class CCmdExec:public CCmd{
public:
	CCmdExec();
	~CCmdExec();

	void exec(const vector<string>& arguments);
};

class CCmdCVarList:public CCmd{
public:
	CCmdCVarList();
	~CCmdCVarList();

	void exec(const vector<string>& arguments);
};

class CCmdCCmdList:public CCmd{
public:
	CCmdCCmdList();
	~CCmdCCmdList();

	void exec(const vector<string>& arguments);
};

class CCmdEcho:public CCmd{
public:
	CCmdEcho();
	~CCmdEcho();

	void exec(const vector<string>& arguments);
};

//class CCmdAlias:public CCmd{
//public:
//	CCmdAlias();
//	~CCmdAlias();
//
//	bool exec(int argc, char* argv[]);
//};
//class CCmdDeleteAlias:public CCmd{
//public:
//	CCmdDeleteAlias();
//	~CCmdDeleteAlias();
//
//	bool exec(int argc, char* argv[]);
//};
//class CCmdAliasList:public CCmd{
//public:
//	CCmdAliasList();
//	~CCmdAliasList();
//
//	bool exec(int argc, char* argv[]);
//};









/*

class CCmdConsoleToggle:public CCmd{
public:
	CCmdConsoleToggle();
	~CCmdConsoleToggle();

	bool exec(int argc, char* argv[]);
};
class CCmdConsoleClear:public CCmd{
public:
	CCmdConsoleClear();
	~CCmdConsoleClear();

	bool exec(int argc, char* argv[]);
};
class CCmdConsoleStartLog:public CCmd{
public:
	CCmdConsoleStartLog();
	~CCmdConsoleStartLog();

	bool exec(int argc, char* argv[]);
};
class CCmdConsoleEndLog:public CCmd{
public:
	CCmdConsoleEndLog();
	~CCmdConsoleEndLog();

	bool exec(int argc, char* argv[]);
};

class CCmdConsoleRestart:public CCmd{
public:
	CCmdConsoleRestart();
	~CCmdConsoleRestart();

	bool exec(int argc, char* argv[]);
};


*/



#endif // __ConsoleCCmds_h__
