#ifndef __DebugMenu_h__
#define __DebugMenu_h__

#include "Menu.h"

#include <Ogre.h>

//#include "Graphics.h"
//#include "Game.h"
//#include "Network.h"


class DebugMenu: public Menu{
public:
	
	enum panels_e{
		PANEL_OVERVIEW = 0,
		PANEL_GRAPHICS,
		PANEL_GAME,
		PANEL_NETWORK,

		NUM_PANELS
	};

	DebugMenu(Gui* gui);
	~DebugMenu();

	void registerEventHandlers();

	void togglePanel();
	void update();

protected:
	panels_e activePanel;

	void updateOverviewPanel();
	void updateGraphicsPanel();
	void updateGamePanel();
	void updateNetworkPanel();
};


#endif // __DebugMenu_h__
