#ifndef __OptionsMenu_h__
#define __OptionsMenu_h__

#include "Menu.h"

class OptionsMenu: public Menu{
public:
	OptionsMenu(Gui* gui);
	~OptionsMenu();

	void show();
	void registerEventHandlers();

	void activateNetworkTab();

protected:
	CEGUI::Editbox* playerNameEditbox;
	CEGUI::Checkbox* enableShadowsCheckbox;
	CEGUI::Checkbox* forceOgreConfigDialogCheckbox;

	CEGUI::Editbox* serverPortEditbox;
	CEGUI::Editbox* serverConnectionSpeedEditbox;
	CEGUI::Editbox* clientPortEditbox;
	CEGUI::Editbox* clientConnectionSpeedEditbox;
	CEGUI::Editbox* masterServerHostEditbox;
	CEGUI::Editbox* masterServerPortEditbox;

	bool handleCloseClicked(const CEGUI::EventArgs& e);
	bool handleApplyButtonClicked(const CEGUI::EventArgs& e);
	bool handleOkButtonClicked(const CEGUI::EventArgs& e);

	void applySettings();
//	bool handleEnableShadowsCheckboxCheckStateChanged(const CEGUI::EventArgs& e);
};

#endif // __OptionsMenu_h__
